/*******************************************************************************
Description:

  Integer function get_geos_times.c
  Parses GEOS hour from filename.
  Called from get_GEOS.c

Input arguments:
  s1               earlier GEOS file name
  s2               later GEOS file name

Output arguments:
  geoshr1          integer time for earlier GEOS file
  geoshr2          integer time for later GEOS file

Function output:
  int return_code  successful completion is zero, otherwise non-zero

Revision History:
  10/2012 R. Frey  Original version

Calls:
  none

*******************************************************************************/

// Includes
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/******************************************************************************/

int get_geos_times(char s1[64], char s2[64], int *geoshr1, int *geoshr2)

{

/******************************************************************************/

//  Declarations and initializations.

    char search[4];
    char *geos_time = "0";
    char *token;

    int return_code = 0;

/******************************************************************************/

//  Get GEOS start hours.
  
//  printf("get time 1: %s\n", s1);
//  printf("get time 2: %s\n", s2);

    (void) strcpy(search, "_");
    token = strtok(s1, search);
    token = strtok(NULL, search);
    token = strtok(NULL, search);
    token = strtok(NULL, search);
    token = strtok(NULL, search);
    (void) strcpy(search, "00.");
    geos_time = strtok(token, search);
    *(geoshr1) = atoi(geos_time);

    (void) strcpy(search, "_");
    token = strtok(s2, search);
    token = strtok(NULL, search);
    token = strtok(NULL, search);
    token = strtok(NULL, search);
    token = strtok(NULL, search);
    (void) strcpy(search, "00.");
    geos_time = strtok(token, search);
    *(geoshr2) = atoi(geos_time);

/******************************************************************************/

    return (return_code);

/******************************************************************************/

}
